<?php
function vrruced($ruced,$bol)
{
	 $xtipo='---';
	 $xveri;
	
	if(substr($ruced,0,2)=='99')
	{
		return 'FIN';
		exit();
	}
	
	
	if( (int)substr($ruced,0,2) < 1 || (int)substr($ruced,0,2) > 24)
	{
		return $xtipo;
		exit();
	}
	
	if(	(int)strlen($ruced)!=10 && (int)strlen($ruced)!=13)
	{
		return $xtipo;
		exit();
	}
	

	if(	strlen($ruced)==13 && substr($ruced,10,3)=='000' )
	{
		$ruced=substr($ruced,0,12).'1';
	}
	
			
	if(substr($ruced,2,1)<=5)
	{
		$xveri= vrmod10(substr($ruced,0,10),true);
		if($xveri==1)
		{
			return 'NAT';
		} 
		else
		{
			return '000';
		}		
	}
	
	if( substr($ruced,2,1)==6)
	{
		
		$xveri=vrmod11(substr($ruced,0,9),true);
		if($xveri==1)
		{
			return 'PUB';
		} 
		else
		{
			return '000';
		}
	}
	
	if( substr($ruced,2,1)==9)
	{
		
		$xveri=vrmod11(substr($ruced,0,10),true);
		if($xveri==1)
		{
			return 'PRI';
		} 
		else
		{
			return '000';
		}
	}
	
	
}
?>